package com.yeejoin.amos.fas.common.enums;

/**
 * @ProjectName: YeeFireDataProcessRoot
 * @Package: com.yeejoin.dataprocess.common.enums
 * @ClassName: TopicName
 * @Author: Jianqiang Gao
 * @Description: TopicName
 * @Date: 2021/3/23 15:55
 * @Version: 1.0
 */
public enum AstDataSyncTopic {
    AST_REGION_SAVE(10, "ast_save"),
    AST_REGION_SAVE_ALL(11, "ast_save_all"),
    AST_REGION_DELETE_BY_ID(12, "ast_delete_by_id");

    private final Integer key;
    private final String value;

    private AstDataSyncTopic(Integer key, String value) {
        this.key = key;
        this.value = value;
    }

    public Integer getKey() {
        return key;
    }

    public String getValue() {
        return value;
    }

    @Override
    public String toString() {
        return this.value;
    }
}